summaryrefslogtreecommitdiff
path: root/bootstrap/config.py
diff options
context:
space:
mode:
authorAndreas Schneider <asn@samba.org>2019-10-07 11:28:24 +0200
committerAndreas Schneider <asn@cryptomilk.org>2019-10-08 08:27:50 +0000
commitc9d302f20b066267a8fd2d7ce4dc171161c9c40c (patch)
treef193395a74958ed29b98ad0f12cb672bcd6f0922 /bootstrap/config.py
parent9cd0d15370142b3694a51fa9b6cfffdb8e08e886 (diff)
downloadsamba-c9d302f20b066267a8fd2d7ce4dc171161c9c40c.tar.gz
gitlab-ci: Add CentOS 8 to CI
Signed-off-by: Andreas Schneider <asn@samba.org> Reviewed-by: Alexander Bokovoy <ab@samba.org> Autobuild-User(master): Andreas Schneider <asn@cryptomilk.org> Autobuild-Date(master): Tue Oct 8 08:27:50 UTC 2019 on sn-devel-184
Diffstat (limited to 'bootstrap/config.py')
-rw-r--r--bootstrap/config.py33
1 files changed, 33 insertions, 0 deletions
diff --git a/bootstrap/config.py b/bootstrap/config.py
index d91506124f1..7eca3a372ef 100644
--- a/bootstrap/config.py
+++ b/bootstrap/config.py
@@ -218,6 +218,23 @@ if [ ! -f /usr/bin/python3 ]; then
fi
"""
+CENTOS8_YUM_BOOTSTRAP = r"""
+#!/bin/bash
+{GENERATED_MARKER}
+set -xueo pipefail
+
+yum update -y
+yum install -y dnf-plugins-core
+yum install -y epel-release
+yum config-manager --set-enabled PowerTools -y
+yum update -y
+
+yum install -y \
+ --setopt=install_weak_deps=False \
+ {pkgs}
+
+yum clean all
+"""
DNF_BOOTSTRAP = r"""
#!/bin/bash
@@ -473,6 +490,22 @@ RPM_DISTS = {
'gnutls-devel': 'compat-gnutls34-devel',
}
},
+ 'centos8': {
+ 'docker_image': 'centos:8',
+ 'vagrant_box': 'centos/8',
+ 'bootstrap': CENTOS8_YUM_BOOTSTRAP,
+ 'replace': {
+ 'lsb-release': 'redhat-lsb',
+ '@development-tools': '"@Development Tools"', # add quotes
+ 'libsemanage-python': 'python3-libsemanage',
+ 'lcov': '', # does not exist
+ 'perl-JSON-Parse': '', # does not exist?
+ 'perl-Test-Base': 'perl-Test-Simple',
+ 'policycoreutils-python': 'python3-policycoreutils',
+ 'python3-crypto': '',
+ 'quota-devel': '', # FIXME: Add me back, once available!
+ }
+ },
'fedora28': {
'docker_image': 'fedora:28',
'vagrant_box': 'fedora/28-cloud-base',